Bug 16159 - guarantor section missing ID on patron add form
Summary: guarantor section missing ID on patron add form
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-29 16:35 UTC by Nicole C. Engard
Modified: 2017-12-07 22:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
code (32.55 KB, image/png)
2016-03-29 16:35 UTC, Nicole C. Engard
Details
Bug 16159 - guarantor section missing ID on patron add form (4.07 KB, patch)
2016-05-03 17:17 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16159 - guarantor section missing ID on patron add form (4.16 KB, patch)
2016-05-04 08:35 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16159 - guarantor section missing ID on patron add form (4.23 KB, patch)
2016-05-04 16:27 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2016-03-29 16:35:33 UTC
Created attachment 49645 [details]
code

See attached. The Guarantor section doesn't have an ID.
Comment 1 Jonathan Druart 2016-04-04 12:28:29 UTC
Could you please detail what is the bug?
Is it related to bug 15928?
Comment 2 Owen Leonard 2016-05-03 17:17:09 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2016-05-04 08:35:18 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2016-05-04 15:35:56 UTC
Why do we need an id on the legend elements?
Comment 5 Owen Leonard 2016-05-04 15:51:10 UTC
(In reply to Jonathan Druart from comment #4)
> Why do we need an id on the legend elements?

I don't know. I assume that the IDs were added at some time in the past in order to facilitate some kind of customization. My patch simply makes them consistent.
Comment 6 Jonathan Druart 2016-05-04 16:26:31 UTC
(In reply to Owen Leonard from comment #5)
> (In reply to Jonathan Druart from comment #4)
> > Why do we need an id on the legend elements?
> 
> I don't know. I assume that the IDs were added at some time in the past in
> order to facilitate some kind of customization. My patch simply makes them
> consistent.

Added by bug 7540.
Comment 7 Jonathan Druart 2016-05-04 16:27:45 UTC
Created attachment 51208 [details] [review]
Bug 16159 - guarantor section missing ID on patron add form

In the patron entry form template most <fieldset> and <legend> tags have
unique ids. This patch adds ids to fieldsets and legends which lack
them.

To test apply the patch and view the patron entry form. There should be
no visual changes. There should be no HTML validation errors triggered
by this change.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Brendan Gallagher 2016-05-05 19:20:48 UTC
Pushed to Master - Should be in the May 2016 Release.  Thanks!
Comment 9 Julian Maurice 2016-05-16 11:06:48 UTC
Patch pushed to 3.22.x, will be in 3.22.7
Comment 10 Chris Cormack 2016-06-20 20:55:18 UTC
Pushed to 3.20.x will be in 3.20.11